package com.sjkj.appthreefloor_tsgz.fragment;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.lifecycle.ViewModelProvider;

import com.sjkj.appthreefloor_tsgz.R;
import com.sjkj.appthreefloor_tsgz.databinding.FragmentEventDetailsBinding;
import com.sjkj.appthreefloor_tsgz.databinding.FragmentEventMessageBinding;
import com.sjkj.appthreefloor_tsgz.fragment.viewModel.EventFargmentViewModel;
import com.sjkj.base_lib.view.BaseFragment;

public class EventMessageFragment extends BaseFragment {
    private FragmentEventMessageBinding binding;
    private EventFargmentViewModel viewModel;
    @Override
    protected int initLayout() {
           return R.layout.fragment_event_message;
    }

    @Override
    public View initBinding(LayoutInflater inflater, ViewGroup container, Bundle bundle) {
        binding = (FragmentEventMessageBinding) getViewDataBing(inflater, container);
        viewModel = new ViewModelProvider(getActivity(), new ViewModelProvider.NewInstanceFactory()).get(EventFargmentViewModel.class);
        binding.setViewModel(viewModel);
        binding.setLifecycleOwner(this);
        return binding.getRoot();
    }

    @Override
    public void initView() {

    }

    @Override
    public void initListener() {

    }

    @Override
    public void loadData() {

    }
}
